%define pkg_name        DBD-SQLite
%define pkg_version     1.14
%define rpm_pkg_version 1.14
%define rpm_pkg_release 1.n0i.15

Summary:       Self Contained RDBMS in a DBI Driver
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSERGEANT/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: sqlite-devel
%{!?_without_test:BuildRequires: perl(DBI) >= 1.21}


%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Sep 20 2007 Marius Feraru <altblue@n0i.net> - 1.14-1.n0i.15
- version 1.14

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 1.13-1.n0i.14
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.13

* Mon Apr 10 2006 Marius Feraru <altblue@n0i.net> - 1.12-1.n0i.13
- version 1.12

* Sat Apr 08 2006 Marius FERARU <altblue@n0i.net> - 1.11-3.n0i.12
- fixed building against system sqlite (3.3.3) using Fedora patches.

* Wed Mar 01 2006 Marius FERARU <altblue@n0i.net> -  1.11-2.n0i.11
- rebuild against locally provided sqlite as the current system
version (3.3.3) is not supported

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 1.11-1.n0i.10
- version 1.11

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.09-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.08-3.n0i.8
- version 1.08

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.07-2.n0i.7
- version 1.07

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.6
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Sat Feb 21 2004 Marius FERARU <altblue@n0i.net> 0:0.31-1.n0i.4
- version 0.31

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:0.29-0.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:0.29-0.n0i.2
- version 0.29

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.28-0.n0i.1
- version 0.28
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
